Get App Parameters
Available for: Chatflow, Workflow, New Agent, Chatbot, Agent, Text Generator apps.
Retrieve the application’s input form configuration, including feature switches, input parameter names, types, and default values.
curl --request GET \
--url https://{api_base_url}/parameters \
--header 'Authorization: Bearer <token>'import requests
url = "https://{api_base_url}/parameters"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{api_base_url}/parameters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"opening_statement": "Hello! How can I help you today?",
"suggested_questions": [
"What can you do?",
"Tell me about your features."
],
"suggested_questions_after_answer": {
"enabled": true
},
"speech_to_text": {
"enabled": false
},
"text_to_speech": {
"enabled": false,
"voice": "alloy",
"language": "en-US",
"autoPlay": "disabled"
},
"retriever_resource": {
"enabled": true
},
"annotation_reply": {
"enabled": false
},
"more_like_this": {
"enabled": false
},
"sensitive_word_avoidance": {
"enabled": false
},
"user_input_form": [
{
"text-input": {
"label": "City",
"variable": "city",
"required": true,
"default": ""
}
}
],
"file_upload": {
"image": {
"enabled": true,
"number_limits": 3,
"detail": "high",
"transfer_methods": [
"remote_url",
"local_file"
]
}
},
"system_parameters": {
"file_size_limit": 15,
"image_file_size_limit": 10,
"audio_file_size_limit": 50,
"video_file_size_limit": 100,
"workflow_file_upload_limit": 10
}
}Authorizations
API Key authentication. For all API requests, include your API Key in the Authorization HTTP Header, prefixed with Bearer. Example: Authorization: Bearer {API_KEY}. Strongly recommend storing your API Key on the server-side, not shared or stored on the client-side, to avoid possible API-Key leakage that can lead to serious consequences. Requests with a missing or invalid API key fail with HTTP 401 and error code unauthorized.
Response
Application parameters information.
Opening statement text.
List of suggested questions.
Configuration for suggested questions after an answer.
Show child attributes
Show child attributes
Speech-to-text feature configuration.
Show child attributes
Show child attributes
Text-to-speech feature configuration.
Show child attributes
Show child attributes
Knowledge retrieval citation resource configuration.
Show child attributes
Show child attributes
Annotation reply feature configuration.
Show child attributes
Show child attributes
More-like-this feature configuration.
Show child attributes
Show child attributes
Content moderation feature configuration.
Show child attributes
Show child attributes
User input form configuration.
- Text Input
- Paragraph
- Select
Show child attributes
Show child attributes
File upload configuration.
Show child attributes
Show child attributes
System-level parameter limits.
Show child attributes
Show child attributes
Was this page helpful?
